Public Member Functions | Protected Member Functions | Protected Attributes | Friends

# XbCommand Class Reference

Item encapsulating an AT command. More...

`#include <xbitems.h>`

Inheritance diagram for XbCommand:
[legend]
Collaboration diagram for XbCommand:
[legend]

List of all members.

## Public Member Functions
| XbCommand ()
QByteArray | command ()
void | setCommand (QByteArray command)
void | setCommand (QByteArray command, quint8 param)
void | setCommand (QByteArray command, XbStreamItem *param)
XbStreamItem * | cmdParam ()
## Protected Member Functions
void | updateParamType ()
XbStreamItem * | newCommandItem ()
XbStreamItem * | newCmdParamItem ()
## Protected Attributes
quint8 | mCommand [2]
XbStreamItem * | mCmdParam
## Friends
class | XbAtCommandItem

## Detailed Description

Item encapsulating an AT command.

Definition at line 99 of file xbitems.h.

## Constructor & Destructor Documentation

XbCommand::XbCommand | ( |  | ) |

Definition at line 46 of file xbitems.cpp.

References mCmdParam.

## Member Function Documentation

XbStreamItem* XbCommand::cmdParam | ( |  | ) | `[inline]`

Definition at line 109 of file xbitems.h.

Referenced by ShXbee::processPacket().

Here is the caller graph for this function:

QByteArray XbCommand::command | ( |  | ) |

Definition at line 52 of file xbitems.cpp.

References mCommand.

Referenced by ShXbee::processPacket().

Here is the caller graph for this function:

XbStreamItem* XbCommand::newCmdParamItem | ( |  | ) | `[inline, protected]`

Definition at line 118 of file xbitems.h.

Referenced by XbLocalCommand::XbLocalCommand(), XbLocalCommandResponse::XbLocalCommandResponse(), XbRemoteCommand::XbRemoteCommand(), and XbRemoteCommandResponse::XbRemoteCommandResponse().

Here is the caller graph for this function:

XbStreamItem* XbCommand::newCommandItem | ( |  | ) | `[inline, protected]`

Definition at line 117 of file xbitems.h.

References XbAtCommandItem.

Referenced by XbLocalCommand::XbLocalCommand(), XbLocalCommandResponse::XbLocalCommandResponse(), XbRemoteCommand::XbRemoteCommand(), and XbRemoteCommandResponse::XbRemoteCommandResponse().

Here is the caller graph for this function:

void XbCommand::setCommand | ( | QByteArray | command | ) |

Definition at line 58 of file xbitems.cpp.

References mCmdParam, and mCommand.

Referenced by ShXbee::processMessage(), setCommand(), and ShXbee::updatePins().

Here is the caller graph for this function:

void XbCommand::setCommand | ( | QByteArray | command,
|  | XbStreamItem * | param |
| ) |  |  |

Definition at line 84 of file xbitems.cpp.

References mCmdParam, and setCommand().

Here is the call graph for this function:

void XbCommand::setCommand | ( | QByteArray | command,
|  | quint8 | param |
| ) |  |  |

Definition at line 76 of file xbitems.cpp.

References mCmdParam, and setCommand().

Here is the call graph for this function:

void XbCommand::updateParamType | ( |  | ) | `[protected]`

Definition at line 92 of file xbitems.cpp.

References mCmdParam, and mCommand.

Referenced by XbAtCommandItem::rd().

Here is the caller graph for this function:

## Friends And Related Function Documentation

friend class XbAtCommandItem`[friend]`

Definition at line 118 of file xbitems.h.

Referenced by newCommandItem().

## Member Data Documentation

XbStreamItem* XbCommand::mCmdParam`[protected]`

Definition at line 113 of file xbitems.h.

Referenced by setCommand(), updateParamType(), and XbCommand().

quint8 XbCommand::mCommand[2]`[protected]`

Definition at line 109 of file xbitems.h.

Referenced by command(), XbAtCommandItem::rd(), setCommand(), updateParamType(), and XbAtCommandItem::wr().

The documentation for this class was generated from the following files:

- shxbee/xbitems.h
- shxbee/xbitems.cpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends